%define	major 11
%define libname	%mklibname idn %{major}
%define develname %mklibname idn -d

# this is needed to avoid make check failures
%define _disable_ld_as_needed 1

Summary:	Internationalized string processing library
Name:		libidn
Version:	1.32
Release:	%mkrel 1
License:	LGPLv2+
Group:		System/Libraries
URL:		http://www.gnu.org/software/libidn/
Source0:	http://ftp.gnu.org/gnu/libidn/%{name}-%{version}.tar.gz
Source1:	http://ftp.gnu.org/gnu/libidn/%{name}-%{version}.tar.gz.sig
BuildRequires:	texinfo
BuildRequires:	autoconf 
BuildRequires:	automake 
BuildRequires:	gettext-devel 
BuildRequires:	help2man
%ifnarch %mips %arm
BuildRequires:	valgrind
BuildRequires:	javapackages-tools
BuildRequires:	java-devel
BuildRequires:	gcj-tools
BuildRequires:	antlr
%endif
# disable on arm for now. test it again on real hardware. qemu doesn't like it
%ifnarch %mips %arm
BuildRequires:	mono
%endif

%description
GNU Libidn is an implementation of the Stringprep, Punycode and
IDNA specifications defined by the IETF Internationalized Domain
Names (IDN) working group, used for internationalized domain
names.

%package -n %{libname}
Summary:	Internationalized string processing library
Group:		System/Libraries
Requires(post):	info-install
Requires(preun): info-install

%description -n	%{libname}
GNU Libidn is an implementation of the Stringprep, Punycode and
IDNA specifications defined by the IETF Internationalized Domain
Names (IDN) working group, used for internationalized domain
names.

%package -n %{develname}
Summary:	Development files for the %{libname} library
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Provides:	idn-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Requires:	pkgconfig
Obsoletes:	%mklibname idn 11 -d

%description -n	%{develname}
Development files for the %{libname} library.

%package -n idn
Summary:	Commandline interface to the %{libname} library
Group:		System/Servers

%description -n idn
This package provides the commandline interface to the
%{libname} library.

%ifnarch %mips %arm
%package -n %{libname}-java
Summary:	Java support for the %{name}
Group:		Development/Java
Provides:	%{name}-java = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n %{libname}-java
Java support for the %{name}.

%package -n %{libname}-mono
Summary:	Mono support for the %{name}
Group:		Development/Other
Provides:	%{name}-mono = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n %{libname}-mono
Mono support for the %{name}.
%endif

%prep
%setup -q

%build
autoreconf -fi
%configure2_5x --disable-static \
%ifnarch %mips %arm
	--enable-java \
	--disable-valgrind-tests \
%endif
%ifnarch %mips %arm
	--enable-csharp=mono \
%endif
	--disable-rpath

%make

%check
make check

%install
%makeinstall_std

# fix "invalid-lc-messages-dir":
rm -rf %{buildroot}%{_datadir}/locale/en@*quot

# make a nice list for docs
find doc -type f | sed 's/^/%{doc} /' | \
    grep -v "Makefile*" | \
    grep -v "\.tex*" | \
    grep -v "\.info" | \
    grep -v "\.1" | \
    grep -v "\.3" | \
    grep -v "\.sgml" | \
    grep -v "\.xml" | \
    grep -v "gdoc" | \
    grep -v "mdate-sh" > %{libname}-devel.filelist

find examples -type f -name ".c" | sed 's/^/%{doc} /' >> %{develname}.filelist

%find_lang %{name}

#(tpg) really not needed... also got lzma'd :)

rm -rf %{buildroot}%{_infodir}/*.png*
rm -f %{buildroot}%{_libdir}/*.la

# this fixes a file clash in a mixed arch env
mv %{buildroot}%{_infodir}/%{name}.info %{buildroot}%{_infodir}/%{libname}.info

%post -n %{libname}
%_install_info %{libname}.info
 
%postun -n %{libname}
%_remove_install_info %{libname}.info

%files -n idn -f %{name}.lang
%doc ChangeLog FAQ README THANKS contrib
%{_bindir}/idn
%{_mandir}/man1/idn.1*
%{_datadir}/emacs/site-lisp/*.el

%files -n %{libname}
%{_libdir}/libidn.so.%{major}*
%{_infodir}/%{libname}.info*

%files -n %{develname} -f %{develname}.filelist
%doc doc/libidn.html TODO libc/example.c examples/README examples/Makefile.*
%{_libdir}/libidn.so
%{_includedir}/*.h
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man3/*

%ifnarch %mips %arm
%files -n %{libname}-java
%{_datadir}/java/*.jar
%endif

%ifnarch %mips %arm
%files -n %{libname}-mono
%{_libdir}/*.dll
%endif


%changelog
* Wed Sep 02 2015 luigiwalser <luigiwalser> 1.32-1.mga5
+ Revision: 872232
- 1.32 (fixes CVE-2015-2059)

* Wed Oct 15 2014 umeabot <umeabot> 1.29-3.mga5
+ Revision: 744626
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.29-2.mga5
+ Revision: 681529
- Mageia 5 Mass Rebuild

* Fri Aug 15 2014 luigiwalser <luigiwalser> 1.29-1.mga5
+ Revision: 662889
- 1.29

* Fri Jan 03 2014 luigiwalser <luigiwalser> 1.28-4.mga4
+ Revision: 564229
- submit to core/release

* Thu Jan 02 2014 danf <danf> 1.28-3.mga4
+ Revision: 563926
- Fixed test failures due to improper linking

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Thu Oct 10 2013 luigiwalser <luigiwalser> 1.28-2.mga4
+ Revision: 494374
- update java BRs

* Tue Jul 16 2013 luigiwalser <luigiwalser> 1.28-1.mga4
+ Revision: 455112
- 1.28
- remove upstreamed fixes

* Mon Jun 24 2013 luigiwalser <luigiwalser> 1.27-1.mga4
+ Revision: 446091
- run autoreconf since it tries to run automake-1.11
- BR gcj-tools for gjdoc needed to build javadoc
- add RangeSet.java missing from upstream tarball
- add upstream patches to fix crash and compilation problem
- 1.27

* Sat Jan 12 2013 umeabot <umeabot> 1.26-2.mga3
+ Revision: 357512
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 25 2012 luigiwalser <luigiwalser> 1.26-1.mga3
+ Revision: 334826
- 1.26

* Thu May 31 2012 fwang <fwang> 1.25-1.mga3
+ Revision: 252030
- new version 1.25

* Thu Jan 12 2012 fwang <fwang> 1.24-1.mga2
+ Revision: 195332
- disable valgrind test as suggested by upstream
- new version 1.24
- new version 1.23

* Tue Jun 28 2011 fwang <fwang> 1.22-1.mga2
+ Revision: 115103
- sync sig
- new verison 1.22

* Fri Jan 14 2011 blino <blino> 1.19-2.mga1
+ Revision: 17383
- remove old ldconfig scriptlets

  + ahmad <ahmad>
    - imported package libidn

